///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// File:	hr$getfilemd5.js
//
// Purpose:	Function to obtain a file's MD5 using Robin Keir's MD5File.exe program (see www.keir.net).
//
// Date:	Nov/Dec 2005.
//
// Author:	Copyright (c) 2005 Henk Reints, http://henk-reints.nl
//
// Prerequisites:
//		Uses the WShShell Object, which is assumed to be available in a variable called "WSH".
//
// Notes:
//	Function is compatible with the 'getExtraFileFolderInfo' method described in hr$dirtool.js.
//	The MD5File.exe program is expected to reside in the same directory as the running script, if it is
//	somewhere else, then you should redefine the global MD5FILEXE variable to point to the correct file.
//
//	I have my own MD5 module written in JavaScript, but I consider that too slow for this purpose.
//	Therefore I reverted to Robin Keir's nice little program.
//
// DISCLAIMER:
//	HENK REINTS HAS WRITTEN THIS SOFWARE FOR HIS OWN USE, AS A HOBBY, WITHOUT ANY COMMERCIAL INTENTIONS.
//	IT IS PROVIDED AS IS, WITHOUT ANY GUARANTEE FOR CORRECTNESS OR USABILITY. USAGE IS AT YOUR OWN RISK.
//	IN NO WAY SHALL HENK REINTS BE LIABLE FOR ANY NEGATIVE CONSEQUENCES OF USING THIS SOFTWARE.
//
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


	MD5FILEXE = FSO.GetParentFolderName(WScript.ScriptFullName) + "\\md5file.exe"

	function hr$getFileMD5 (fileObject)
	{	var result,line="",e=[],shell
		var header = "       MD5 Message-Digest       "
		var errmsg = "Unable to open the file"
		if      (arguments.length == 0) result = header
		else if ((fileObject.Attributes&16) == 0)
		{	shell = WSH.Exec (MD5FILEXE + ' "' + fileObject.Path + '"')
			while (!shell.StdOut.AtEndOfStream) {line = shell.StdOut.ReadLine() }
			while (!shell.StdErr.AtEndOfStream) {e.push(shell.StdErr.ReadLine()) }
			result = (e.length == 0 ? line.split(" ").pop().toLowerCase() : e.join(" ") )
		} else	result = ""
		if (result.indexOf(errmsg) == 0) result = errmsg
		return result
	}


///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// END-OF-FILE  --  hr$getfilemd5.js  --  Copyright (c) 2005 Henk Reints, http://henk-reints.nl
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
